Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.arbaro.tree
Class DefaultTreeTraversal

    java.lang.Object
      net.sourceforge.arbaro.tree.DefaultTreeTraversal

All Implemented Interfaces:
  TreeTraversal

Direct Known Subclasses:
  LeafCounter, StemCounter

    public class DefaultTreeTraversal

extends java.lang.Object
implements TreeTraversal

Convenience class for TreeTraversal interface

Constructor Summary
`DefaultTreeTraversal()`

Method Summary
`boolean` | `enterStem(Stem stem)` going into a Stem
`boolean` | `enterTree(Tree tree)` going into a Tree
`boolean` | `leaveStem(Stem stem)` coming out of a Stem
`boolean` | `leaveTree(Tree tree)` coming out of a Tree
`boolean` | `visitLeaf(Leaf leaf)` passing a Leaf

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultTreeTraversal

    public DefaultTreeTraversal()

Method Detail

### enterStem

    public boolean enterStem(Stem stem)

  Description copied from interface: `TreeTraversal`
  going into a Stem

  Specified by:
    `enterStem` in interface `TreeTraversal`
  Returns:
    when false, stop traversal at this level

### enterTree

    public boolean enterTree(Tree tree)

  Description copied from interface: `TreeTraversal`
  going into a Tree

  Specified by:
    `enterTree` in interface `TreeTraversal`
  Returns:
    when false, stop traversal at this level

### leaveStem

    public boolean leaveStem(Stem stem)

  Description copied from interface: `TreeTraversal`
  coming out of a Stem

  Specified by:
    `leaveStem` in interface `TreeTraversal`
  Returns:
    when false, stop traversal at this level

### leaveTree

    public boolean leaveTree(Tree tree)

  Description copied from interface: `TreeTraversal`
  coming out of a Tree

  Specified by:
    `leaveTree` in interface `TreeTraversal`
  Returns:
    when false, stop traversal at this level

### visitLeaf

    public boolean visitLeaf(Leaf leaf)

  Description copied from interface: `TreeTraversal`
  passing a Leaf

  Specified by:
    `visitLeaf` in interface `TreeTraversal`
  Returns:
    when false, stop traversal at this level

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD